Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class HtmlTableEditorPane.TableDocumentFilter

    java.lang.Object
      javax.swing.text.DocumentFilter
          ix.iface.util.HtmlTableEditorPane.TableDocumentFilter

Enclosing class:
  HtmlTableEditorPane

     class HtmlTableEditorPane.TableDocumentFilter

extends javax.swing.text.DocumentFilter

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter
`javax.swing.text.DocumentFilter.FilterBypass`

Field Summary
`(package private) javax.swing.text.Element` | `editing`

Constructor Summary
`HtmlTableEditorPane.TableDocumentFilter()`

Method Summary
`(package private) boolean` | `editIsAllowed(int offset, int length)`
`(package private) javax.swing.text.Element` | `getTableCell(int offset)`
`void` | `remove(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length)`
`void` | `replace(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length, java.lang.String text, javax.swing.text.AttributeSet attrs)`

Methods inherited from class javax.swing.text.DocumentFilter
`insertString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editing

    javax.swing.text.Element editing

Constructor Detail

### HtmlTableEditorPane.TableDocumentFilter

    HtmlTableEditorPane.TableDocumentFilter()

Method Detail

### remove

    public void remove(javax.swing.text.DocumentFilter.FilterBypass fb,
                       int offset,
                       int length)
                throws javax.swing.text.BadLocationException

  Overrides:
    `remove` in class `javax.swing.text.DocumentFilter`
  Throws:
    `javax.swing.text.BadLocationException`

### replace

    public void replace(javax.swing.text.DocumentFilter.FilterBypass fb,
                        int offset,
                        int length,
                        java.lang.String text,
                        javax.swing.text.AttributeSet attrs)
                 throws javax.swing.text.BadLocationException

  Overrides:
    `replace` in class `javax.swing.text.DocumentFilter`
  Throws:
    `javax.swing.text.BadLocationException`

### editIsAllowed

    boolean editIsAllowed(int offset,
                          int length)

### getTableCell

    javax.swing.text.Element getTableCell(int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD